## wsgidav 4.2.0

=== requirements.txt ===
defusedxml~=0.5
Jinja2~=2.10
json5~=0.8.5
python-pam~=2.0
PyYAML~=6.0

=== docs/source/requirements.txt ===
# Requirements used by Sphinx / RTD
defusedxml~=0.5
Jinja2~=2.10
json5~=0.8.5
python-pam~=2.0.2
PyYAML~=6.0
# RTD:
sphinx~=4.3
sphinx_rtd_theme~=1.0.0
readthedocs-sphinx-search==0.1.1
recommonmark~=0.7.1
# MyST
myst-parser[linkify]
sphinxcontrib-mermaid

=== debian/changelog ===
wsgidav (4.2.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:42:51 +0200

wsgidav (4.2.0-0kali2) kali-dev; urgency=medium

  * Fix the configuration link in documentation

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Apr 2023 14:13:19 +0200

wsgidav (4.2.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Mar 2023 18:06:42 +0200

=== debian/control ===
Source: wsgidav
Section: python
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
 python3-cheroot,
 python3-defusedxml,
 python3-json5,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-webtest,
 python3-yaml
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/mar10/wsgidav

Package: python3-wsgidav
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-cheroot
Suggests:
 python-wsgidav-doc,
Description: generic and extendable WebDAV server (Python 3)
 This package contains a generic and extendable WebDAV server written in Python
 and based on WSGI.
 .
 This package installs the library for Python 3.

Package: python-wsgidav-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: generic and extendable WebDAV server (common documentation)
 This package contains a generic and extendable WebDAV server written in Python
 and based on WSGI.
 .
 This is the common documentation package.

=== debian/tests/control ===
Test-Command: wsgidav -h
Restrictions: superficial

## wsgidav 4.3.3

=== requirements.txt ===
defusedxml~=0.7.1
Jinja2~=3.1
json5~=0.9
python-pam~=2.0
PyYAML~=6.0

=== docs/source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/wsgidav.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/wsgidav.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/wsgidav"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/wsgidav"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/source/requirements.txt ===
# Requirements used by Sphinx / RTD
defusedxml~=0.7.1
Jinja2~=3.0
json5~=0.8.5
python-pam~=2.0.2
PyYAML~=6.0
# RTD:
#sphinx~=7.1
#sphinx_rtd_theme~=1.2
furo
#readthedocs-sphinx-search==0.3.1
recommonmark~=0.7.1
# MyST
myst-parser[linkify]
sphinxcontrib-mermaid

=== debian/changelog ===
wsgidav (4.3.3-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.3
  * Update debian/copyright
  * Refresh patches
  * Add missing dep procps in autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 May 2024 12:09:38 +0200

wsgidav (4.3.2-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.2
  * Refresh patches
  * Add real tests
  * Update control
  * Add missing dependency for tests
  * Add libcrypt-ssleay-perl dependency to fix tests
  * Test uploading file

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 09 Apr 2024 17:24:45 +0200

wsgidav (4.3.1-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 Mar 2024 13:29:46 +0100

wsgidav (4.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 4.3.0
  * Refresh patches
  * Add missing build-dep furo

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 26 Sep 2023 17:22:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: wsgidav
 Section: python
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ furo,
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all,
@@ -20,6 +21,8 @@
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.6.2
 Homepage: https://github.com/mar10/wsgidav
+Vcs-Browser: https://gitlab.com/kalilinux/packages/wsgidav
+Vcs-Git: https://gitlab.com/kalilinux/packages/wsgidav.git
 
 Package: python3-wsgidav
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=wsgidav

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc,python3


execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/source build/html # HTML generator

=== debian/tests/control ===
Tests: runtests.sh
Depends: @, davtest, netcat-traditional, libcrypt-ssleay-perl, procps
Restrictions:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/mar10/wsgidav/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
